com.impinj.stp

## Class StpApi.TagOperationReport.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<StpApi.TagOperationReport.Builder>
      - - com.impinj.stp.StpApi.TagOperationReport.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.TagOperationReportOrBuilder, java.lang.Cloneable
  Enclosing class:
    StpApi.TagOperationReport

      public static final class StpApi.TagOperationReport.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<StpApi.TagOperationReport.Builder>
      implements StpApi.TagOperationReportOrBuilder

  Protobuf type `Impinj.STP.TagOperationReport` Timestamp, antenna id, frequency, RSSI should be last values on last attempt. All \*_result bools should be included and set to true when they are enabled in the OperationResponsibility and confirmed as complete.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.TagOperationReport` | `build()`
    `StpApi.TagOperationReport` | `buildPartial()`
    `StpApi.TagOperationReport.Builder` | `clear()`
    `StpApi.TagOperationReport.Builder` | `clearAccessPasswordResult()`
    `StpApi.TagOperationReport.Builder` | `clearAntennaID()`
    `StpApi.TagOperationReport.Builder` | `clearBlockpermalockResult()`
    `StpApi.TagOperationReport.Builder` | `clearEPC()` big endian 16-bit words representing the EPC.
    `StpApi.TagOperationReport.Builder` | `clearEPCAttempted()`
    `StpApi.TagOperationReport.Builder` | `clearEPCMemoryResult()`
    `StpApi.TagOperationReport.Builder` | `clearFrequency()` Units are kHz
    `StpApi.TagOperationReport.Builder` | `clearJobId()`
    `StpApi.TagOperationReport.Builder` | `clearKillPasswordResult()`
    `StpApi.TagOperationReport.Builder` | `clearKillTagResult()`
    `StpApi.TagOperationReport.Builder` | `clearLockConfigResult()`
    `StpApi.TagOperationReport.Builder` | `clearPcWordResult()`
    `StpApi.TagOperationReport.Builder` | `clearRSSI()` RSSI of the Ack response (EPC) in units of dBm * 100.
    `StpApi.TagOperationReport.Builder` | `clearTagOperationReportType()`
    `StpApi.TagOperationReport.Builder` | `clearTagOperationResult()`
    `StpApi.TagOperationReport.Builder` | `clearTagOperationResultDetail()`
    `StpApi.TagOperationReport.Builder` | `clearTagSpecificFeatureConfigResult()`
    `StpApi.TagOperationReport.Builder` | `clearTID()` big endian 16-bit words representing the TID.
    `StpApi.TagOperationReport.Builder` | `clearTidWriteResult()`
    `StpApi.TagOperationReport.Builder` | `clearTimestamp()`
    `StpApi.TagOperationReport.Builder` | `clearUserMemoryInv()` big endian 16-bit words representing the user memory.
    `StpApi.TagOperationReport.Builder` | `clearUserMemoryResult()`
    `StpApi.TagOperationReport.Builder` | `clone()`
    `boolean` | `getAccessPasswordResult()`
    `int` | `getAntennaID()`
    `boolean` | `getBlockpermalockResult()`
    `StpApi.TagOperationReport` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `com.google.protobuf.ByteString` | `getEPC()` big endian 16-bit words representing the EPC.
    `com.google.protobuf.ByteString` | `getEPCAttempted()`
    `boolean` | `getEPCMemoryResult()`
    `int` | `getFrequency()` Units are kHz
    `int` | `getJobId()`
    `boolean` | `getKillPasswordResult()`
    `boolean` | `getKillTagResult()`
    `boolean` | `getLockConfigResult()`
    `boolean` | `getPcWordResult()`
    `int` | `getRSSI()` RSSI of the Ack response (EPC) in units of dBm * 100.
    `StpApi.TagOperationReportType` | `getTagOperationReportType()`
    `StpApi.TagOperationResult` | `getTagOperationResult()`
    `java.lang.String` | `getTagOperationResultDetail()`
    `com.google.protobuf.ByteString` | `getTagOperationResultDetailBytes()`
    `boolean` | `getTagSpecificFeatureConfigResult()`
    `com.google.protobuf.ByteString` | `getTID()` big endian 16-bit words representing the TID.
    `boolean` | `getTidWriteResult()`
    `StpApi.Timestamp` | `getTimestamp()`
    `StpApi.Timestamp.Builder` | `getTimestampBuilder()`
    `StpApi.TimestampOrBuilder` | `getTimestampOrBuilder()`
    `com.google.protobuf.ByteString` | `getUserMemoryInv()` big endian 16-bit words representing the user memory.
    `boolean` | `getUserMemoryResult()`
    `boolean` | `hasAccessPasswordResult()`
    `boolean` | `hasAntennaID()`
    `boolean` | `hasBlockpermalockResult()`
    `boolean` | `hasEPC()` big endian 16-bit words representing the EPC.
    `boolean` | `hasEPCAttempted()`
    `boolean` | `hasEPCMemoryResult()`
    `boolean` | `hasFrequency()` Units are kHz
    `boolean` | `hasJobId()`
    `boolean` | `hasKillPasswordResult()`
    `boolean` | `hasKillTagResult()`
    `boolean` | `hasLockConfigResult()`
    `boolean` | `hasPcWordResult()`
    `boolean` | `hasRSSI()` RSSI of the Ack response (EPC) in units of dBm * 100.
    `boolean` | `hasTagOperationReportType()`
    `boolean` | `hasTagOperationResult()`
    `boolean` | `hasTagOperationResultDetail()`
    `boolean` | `hasTagSpecificFeatureConfigResult()`
    `boolean` | `hasTID()` big endian 16-bit words representing the TID.
    `boolean` | `hasTidWriteResult()`
    `boolean` | `hasTimestamp()`
    `boolean` | `hasUserMemoryInv()` big endian 16-bit words representing the user memory.
    `boolean` | `hasUserMemoryResult()`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `StpApi.TagOperationReport.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.TagOperationReport.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `StpApi.TagOperationReport.Builder` | `mergeFrom(StpApi.TagOperationReport other)`
    `StpApi.TagOperationReport.Builder` | `mergeTimestamp(StpApi.Timestamp value)`
    `StpApi.TagOperationReport.Builder` | `setAccessPasswordResult(boolean value)`
    `StpApi.TagOperationReport.Builder` | `setAntennaID(int value)`
    `StpApi.TagOperationReport.Builder` | `setBlockpermalockResult(boolean value)`
    `StpApi.TagOperationReport.Builder` | `setEPC(com.google.protobuf.ByteString value)` big endian 16-bit words representing the EPC.
    `StpApi.TagOperationReport.Builder` | `setEPCAttempted(com.google.protobuf.ByteString value)`
    `StpApi.TagOperationReport.Builder` | `setEPCMemoryResult(boolean value)`
    `StpApi.TagOperationReport.Builder` | `setFrequency(int value)` Units are kHz
    `StpApi.TagOperationReport.Builder` | `setJobId(int value)`
    `StpApi.TagOperationReport.Builder` | `setKillPasswordResult(boolean value)`
    `StpApi.TagOperationReport.Builder` | `setKillTagResult(boolean value)`
    `StpApi.TagOperationReport.Builder` | `setLockConfigResult(boolean value)`
    `StpApi.TagOperationReport.Builder` | `setPcWordResult(boolean value)`
    `StpApi.TagOperationReport.Builder` | `setRSSI(int value)` RSSI of the Ack response (EPC) in units of dBm * 100.
    `StpApi.TagOperationReport.Builder` | `setTagOperationReportType(StpApi.TagOperationReportType value)`
    `StpApi.TagOperationReport.Builder` | `setTagOperationResult(StpApi.TagOperationResult value)`
    `StpApi.TagOperationReport.Builder` | `setTagOperationResultDetail(java.lang.String value)`
    `StpApi.TagOperationReport.Builder` | `setTagOperationResultDetailBytes(com.google.protobuf.ByteString value)`
    `StpApi.TagOperationReport.Builder` | `setTagSpecificFeatureConfigResult(boolean value)`
    `StpApi.TagOperationReport.Builder` | `setTID(com.google.protobuf.ByteString value)` big endian 16-bit words representing the TID.
    `StpApi.TagOperationReport.Builder` | `setTidWriteResult(boolean value)`
    `StpApi.TagOperationReport.Builder` | `setTimestamp(StpApi.Timestamp.Builder builderForValue)`
    `StpApi.TagOperationReport.Builder` | `setTimestamp(StpApi.Timestamp value)`
    `StpApi.TagOperationReport.Builder` | `setUserMemoryInv(com.google.protobuf.ByteString value)` big endian 16-bit words representing the user memory.
    `StpApi.TagOperationReport.Builder` | `setUserMemoryResult(boolean value)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.TagOperationReport.Builder>`

    - #### clear

          public StpApi.TagOperationReport.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.TagOperationReport.Builder>`

    - #### clone

          public StpApi.TagOperationReport.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.TagOperationReport.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.TagOperationReport.Builder>`

    - #### getDefaultInstanceForType

          public StpApi.TagOperationReport getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public StpApi.TagOperationReport build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public StpApi.TagOperationReport buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public StpApi.TagOperationReport.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.TagOperationReport.Builder>`

    - #### mergeFrom

          public StpApi.TagOperationReport.Builder mergeFrom(StpApi.TagOperationReport other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.TagOperationReport.Builder>`

    - #### mergeFrom

          public StpApi.TagOperationReport.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                      throws java.io.IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.TagOperationReport.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasTagOperationReportType

          public boolean hasTagOperationReportType()

      Specified by:
        `hasTagOperationReportType` in interface `StpApi.TagOperationReportOrBuilder`

    - #### getTagOperationReportType

          public StpApi.TagOperationReportType getTagOperationReportType()

      Specified by:
        `getTagOperationReportType` in interface `StpApi.TagOperationReportOrBuilder`

    - #### setTagOperationReportType

          public StpApi.TagOperationReport.Builder setTagOperationReportType(StpApi.TagOperationReportType value)

    - #### clearTagOperationReportType

          public StpApi.TagOperationReport.Builder clearTagOperationReportType()

    - #### hasTagOperationResult

          public boolean hasTagOperationResult()

      Specified by:
        `hasTagOperationResult` in interface `StpApi.TagOperationReportOrBuilder`

    - #### getTagOperationResult

          public StpApi.TagOperationResult getTagOperationResult()

      Specified by:
        `getTagOperationResult` in interface `StpApi.TagOperationReportOrBuilder`

    - #### setTagOperationResult

          public StpApi.TagOperationReport.Builder setTagOperationResult(StpApi.TagOperationResult value)

    - #### clearTagOperationResult

          public StpApi.TagOperationReport.Builder clearTagOperationResult()

    - #### hasTagOperationResultDetail

          public boolean hasTagOperationResultDetail()

      Specified by:
        `hasTagOperationResultDetail` in interface `StpApi.TagOperationReportOrBuilder`

    - #### getTagOperationResultDetail

          public java.lang.String getTagOperationResultDetail()

      Specified by:
        `getTagOperationResultDetail` in interface `StpApi.TagOperationReportOrBuilder`

    - #### getTagOperationResultDetailBytes

          public com.google.protobuf.ByteString getTagOperationResultDetailBytes()

      Specified by:
        `getTagOperationResultDetailBytes` in interface `StpApi.TagOperationReportOrBuilder`

    - #### setTagOperationResultDetail

          public StpApi.TagOperationReport.Builder setTagOperationResultDetail(java.lang.String value)

    - #### clearTagOperationResultDetail

          public StpApi.TagOperationReport.Builder clearTagOperationResultDetail()

    - #### setTagOperationResultDetailBytes

          public StpApi.TagOperationReport.Builder setTagOperationResultDetailBytes(com.google.protobuf.ByteString value)

    - #### hasTID

          public boolean hasTID()

      big endian 16-bit words representing the TID.
      Specified by:
        `hasTID` in interface `StpApi.TagOperationReportOrBuilder`

    - #### getTID

          public com.google.protobuf.ByteString getTID()

      big endian 16-bit words representing the TID.
      Specified by:
        `getTID` in interface `StpApi.TagOperationReportOrBuilder`

    - #### setTID

          public StpApi.TagOperationReport.Builder setTID(com.google.protobuf.ByteString value)

      big endian 16-bit words representing the TID.

    - #### clearTID

          public StpApi.TagOperationReport.Builder clearTID()

      big endian 16-bit words representing the TID.

    - #### hasEPC

          public boolean hasEPC()

      big endian 16-bit words representing the EPC.
      Specified by:
        `hasEPC` in interface `StpApi.TagOperationReportOrBuilder`

    - #### getEPC

          public com.google.protobuf.ByteString getEPC()

      big endian 16-bit words representing the EPC.
      Specified by:
        `getEPC` in interface `StpApi.TagOperationReportOrBuilder`

    - #### setEPC

          public StpApi.TagOperationReport.Builder setEPC(com.google.protobuf.ByteString value)

      big endian 16-bit words representing the EPC.

    - #### clearEPC

          public StpApi.TagOperationReport.Builder clearEPC()

      big endian 16-bit words representing the EPC.

    - #### hasEPCAttempted

          public boolean hasEPCAttempted()

      Specified by:
        `hasEPCAttempted` in interface `StpApi.TagOperationReportOrBuilder`

    - #### getEPCAttempted

          public com.google.protobuf.ByteString getEPCAttempted()

      Specified by:
        `getEPCAttempted` in interface `StpApi.TagOperationReportOrBuilder`

    - #### setEPCAttempted

          public StpApi.TagOperationReport.Builder setEPCAttempted(com.google.protobuf.ByteString value)

    - #### clearEPCAttempted

          public StpApi.TagOperationReport.Builder clearEPCAttempted()

    - #### hasUserMemoryInv

          public boolean hasUserMemoryInv()

      big endian 16-bit words representing the user memory. Used in Inventory mode, note that 'user_memory_result' is unrelated.
      Specified by:
        `hasUserMemoryInv` in interface `StpApi.TagOperationReportOrBuilder`

    - #### getUserMemoryInv

          public com.google.protobuf.ByteString getUserMemoryInv()

      big endian 16-bit words representing the user memory. Used in Inventory mode, note that 'user_memory_result' is unrelated.
      Specified by:
        `getUserMemoryInv` in interface `StpApi.TagOperationReportOrBuilder`

    - #### setUserMemoryInv

          public StpApi.TagOperationReport.Builder setUserMemoryInv(com.google.protobuf.ByteString value)

      big endian 16-bit words representing the user memory. Used in Inventory mode, note that 'user_memory_result' is unrelated.

    - #### clearUserMemoryInv

          public StpApi.TagOperationReport.Builder clearUserMemoryInv()

      big endian 16-bit words representing the user memory. Used in Inventory mode, note that 'user_memory_result' is unrelated.

    - #### hasEPCMemoryResult

          public boolean hasEPCMemoryResult()

      Specified by:
        `hasEPCMemoryResult` in interface `StpApi.TagOperationReportOrBuilder`

    - #### getEPCMemoryResult

          public boolean getEPCMemoryResult()

      Specified by:
        `getEPCMemoryResult` in interface `StpApi.TagOperationReportOrBuilder`

    - #### setEPCMemoryResult

          public StpApi.TagOperationReport.Builder setEPCMemoryResult(boolean value)

    - #### clearEPCMemoryResult

          public StpApi.TagOperationReport.Builder clearEPCMemoryResult()

    - #### hasAccessPasswordResult

          public boolean hasAccessPasswordResult()

      Specified by:
        `hasAccessPasswordResult` in interface `StpApi.TagOperationReportOrBuilder`

    - #### getAccessPasswordResult

          public boolean getAccessPasswordResult()

      Specified by:
        `getAccessPasswordResult` in interface `StpApi.TagOperationReportOrBuilder`

    - #### setAccessPasswordResult

          public StpApi.TagOperationReport.Builder setAccessPasswordResult(boolean value)

    - #### clearAccessPasswordResult

          public StpApi.TagOperationReport.Builder clearAccessPasswordResult()

    - #### hasKillPasswordResult

          public boolean hasKillPasswordResult()

      Specified by:
        `hasKillPasswordResult` in interface `StpApi.TagOperationReportOrBuilder`

    - #### getKillPasswordResult

          public boolean getKillPasswordResult()

      Specified by:
        `getKillPasswordResult` in interface `StpApi.TagOperationReportOrBuilder`

    - #### setKillPasswordResult

          public StpApi.TagOperationReport.Builder setKillPasswordResult(boolean value)

    - #### clearKillPasswordResult

          public StpApi.TagOperationReport.Builder clearKillPasswordResult()

    - #### hasLockConfigResult

          public boolean hasLockConfigResult()

      Specified by:
        `hasLockConfigResult` in interface `StpApi.TagOperationReportOrBuilder`

    - #### getLockConfigResult

          public boolean getLockConfigResult()

      Specified by:
        `getLockConfigResult` in interface `StpApi.TagOperationReportOrBuilder`

    - #### setLockConfigResult

          public StpApi.TagOperationReport.Builder setLockConfigResult(boolean value)

    - #### clearLockConfigResult

          public StpApi.TagOperationReport.Builder clearLockConfigResult()

    - #### hasUserMemoryResult

          public boolean hasUserMemoryResult()

      Specified by:
        `hasUserMemoryResult` in interface `StpApi.TagOperationReportOrBuilder`

    - #### getUserMemoryResult

          public boolean getUserMemoryResult()

      Specified by:
        `getUserMemoryResult` in interface `StpApi.TagOperationReportOrBuilder`

    - #### setUserMemoryResult

          public StpApi.TagOperationReport.Builder setUserMemoryResult(boolean value)

    - #### clearUserMemoryResult

          public StpApi.TagOperationReport.Builder clearUserMemoryResult()

    - #### hasBlockpermalockResult

          public boolean hasBlockpermalockResult()

      Specified by:
        `hasBlockpermalockResult` in interface `StpApi.TagOperationReportOrBuilder`

    - #### getBlockpermalockResult

          public boolean getBlockpermalockResult()

      Specified by:
        `getBlockpermalockResult` in interface `StpApi.TagOperationReportOrBuilder`

    - #### setBlockpermalockResult

          public StpApi.TagOperationReport.Builder setBlockpermalockResult(boolean value)

    - #### clearBlockpermalockResult

          public StpApi.TagOperationReport.Builder clearBlockpermalockResult()

    - #### hasKillTagResult

          public boolean hasKillTagResult()

      Specified by:
        `hasKillTagResult` in interface `StpApi.TagOperationReportOrBuilder`

    - #### getKillTagResult

          public boolean getKillTagResult()

      Specified by:
        `getKillTagResult` in interface `StpApi.TagOperationReportOrBuilder`

    - #### setKillTagResult

          public StpApi.TagOperationReport.Builder setKillTagResult(boolean value)

    - #### clearKillTagResult

          public StpApi.TagOperationReport.Builder clearKillTagResult()

    - #### hasPcWordResult

          public boolean hasPcWordResult()

      Specified by:
        `hasPcWordResult` in interface `StpApi.TagOperationReportOrBuilder`

    - #### getPcWordResult

          public boolean getPcWordResult()

      Specified by:
        `getPcWordResult` in interface `StpApi.TagOperationReportOrBuilder`

    - #### setPcWordResult

          public StpApi.TagOperationReport.Builder setPcWordResult(boolean value)

    - #### clearPcWordResult

          public StpApi.TagOperationReport.Builder clearPcWordResult()

    - #### hasTagSpecificFeatureConfigResult

          public boolean hasTagSpecificFeatureConfigResult()

      Specified by:
        `hasTagSpecificFeatureConfigResult` in interface `StpApi.TagOperationReportOrBuilder`

    - #### getTagSpecificFeatureConfigResult

          public boolean getTagSpecificFeatureConfigResult()

      Specified by:
        `getTagSpecificFeatureConfigResult` in interface `StpApi.TagOperationReportOrBuilder`

    - #### setTagSpecificFeatureConfigResult

          public StpApi.TagOperationReport.Builder setTagSpecificFeatureConfigResult(boolean value)

    - #### clearTagSpecificFeatureConfigResult

          public StpApi.TagOperationReport.Builder clearTagSpecificFeatureConfigResult()

    - #### hasTidWriteResult

          public boolean hasTidWriteResult()

      Specified by:
        `hasTidWriteResult` in interface `StpApi.TagOperationReportOrBuilder`

    - #### getTidWriteResult

          public boolean getTidWriteResult()

      Specified by:
        `getTidWriteResult` in interface `StpApi.TagOperationReportOrBuilder`

    - #### setTidWriteResult

          public StpApi.TagOperationReport.Builder setTidWriteResult(boolean value)

    - #### clearTidWriteResult

          public StpApi.TagOperationReport.Builder clearTidWriteResult()

    - #### hasTimestamp

          public boolean hasTimestamp()

      Specified by:
        `hasTimestamp` in interface `StpApi.TagOperationReportOrBuilder`

    - #### getTimestamp

          public StpApi.Timestamp getTimestamp()

      Specified by:
        `getTimestamp` in interface `StpApi.TagOperationReportOrBuilder`

    - #### setTimestamp

          public StpApi.TagOperationReport.Builder setTimestamp(StpApi.Timestamp value)

    - #### setTimestamp

          public StpApi.TagOperationReport.Builder setTimestamp(StpApi.Timestamp.Builder builderForValue)

    - #### mergeTimestamp

          public StpApi.TagOperationReport.Builder mergeTimestamp(StpApi.Timestamp value)

    - #### clearTimestamp

          public StpApi.TagOperationReport.Builder clearTimestamp()

    - #### getTimestampBuilder

          public StpApi.Timestamp.Builder getTimestampBuilder()

    - #### getTimestampOrBuilder

          public StpApi.TimestampOrBuilder getTimestampOrBuilder()

      Specified by:
        `getTimestampOrBuilder` in interface `StpApi.TagOperationReportOrBuilder`

    - #### hasAntennaID

          public boolean hasAntennaID()

      Specified by:
        `hasAntennaID` in interface `StpApi.TagOperationReportOrBuilder`

    - #### getAntennaID

          public int getAntennaID()

      Specified by:
        `getAntennaID` in interface `StpApi.TagOperationReportOrBuilder`

    - #### setAntennaID

          public StpApi.TagOperationReport.Builder setAntennaID(int value)

    - #### clearAntennaID

          public StpApi.TagOperationReport.Builder clearAntennaID()

    - #### hasFrequency

          public boolean hasFrequency()

      Units are kHz
      Specified by:
        `hasFrequency` in interface `StpApi.TagOperationReportOrBuilder`

    - #### getFrequency

          public int getFrequency()

      Units are kHz
      Specified by:
        `getFrequency` in interface `StpApi.TagOperationReportOrBuilder`

    - #### setFrequency

          public StpApi.TagOperationReport.Builder setFrequency(int value)

      Units are kHz

    - #### clearFrequency

          public StpApi.TagOperationReport.Builder clearFrequency()

      Units are kHz

    - #### hasRSSI

          public boolean hasRSSI()

      RSSI of the Ack response (EPC) in units of dBm * 100.
      Specified by:
        `hasRSSI` in interface `StpApi.TagOperationReportOrBuilder`

    - #### getRSSI

          public int getRSSI()

      RSSI of the Ack response (EPC) in units of dBm * 100.
      Specified by:
        `getRSSI` in interface `StpApi.TagOperationReportOrBuilder`

    - #### setRSSI

          public StpApi.TagOperationReport.Builder setRSSI(int value)

      RSSI of the Ack response (EPC) in units of dBm * 100.

    - #### clearRSSI

          public StpApi.TagOperationReport.Builder clearRSSI()

      RSSI of the Ack response (EPC) in units of dBm * 100.

    - #### hasJobId

          public boolean hasJobId()

      Specified by:
        `hasJobId` in interface `StpApi.TagOperationReportOrBuilder`

    - #### getJobId

          public int getJobId()

      Specified by:
        `getJobId` in interface `StpApi.TagOperationReportOrBuilder`

    - #### setJobId

          public StpApi.TagOperationReport.Builder setJobId(int value)

    - #### clearJobId

          public StpApi.TagOperationReport.Builder clearJobId()